Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.util.datatypes
Class FloatRange

    java.lang.Object
      toxi.util.datatypes.FloatRange

Direct Known Subclasses:
  BiasedFloatRange

    public class FloatRange

extends java.lang.Object

Field Summary
`float` | `currValue`
`float` | `max`
`float` | `min`

Constructor Summary
`FloatRange()`
`FloatRange(float min, float max)`

Method Summary
`float` | `adjustCurrentBy(float val)`
`FloatRange` | `copy()`
`static FloatRange` | `fromSamples(java.util.List<java.lang.Float> samples)`
`float` | `getCurrent()`
`float` | `getMedian()`
`boolean` | `isValueInRange(float val)`
`float` | `pickRandom()`
`FloatRange` | `seed(long seed)`
`float` | `setCurrent(float val)`
`FloatRange` | `setRandom(java.util.Random rnd)`
`java.lang.Float[]` | `toArray(float step)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### min

    public float min

### max

    public float max

### currValue

    public float currValue

Constructor Detail

### FloatRange

    public FloatRange()

### FloatRange

    public FloatRange(float min,
                      float max)

Method Detail

### fromSamples

    public static FloatRange fromSamples(java.util.List<java.lang.Float> samples)

### adjustCurrentBy

    public float adjustCurrentBy(float val)

### copy

    public FloatRange copy()

### getCurrent

    public float getCurrent()

### getMedian

    public float getMedian()

### isValueInRange

    public boolean isValueInRange(float val)

### pickRandom

    public float pickRandom()

### seed

    public FloatRange seed(long seed)

### setCurrent

    public float setCurrent(float val)

### setRandom

    public FloatRange setRandom(java.util.Random rnd)

### toArray

    public java.lang.Float[] toArray(float step)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD